Page MenuHomePhabricator

Add upload_by_url to Extended uploaders (Wikimedia Commons)
Closed, ResolvedPublic

Description

Currently the group extended uploaders was created to allow non admins and license reviewers to upload .mp3-files. However, this group also has other potential.

Currently only admins, image reviewers and gwt toolset users can upload by url. (<code>upload_by_url</code>) Would it be possible to add this right to the extended uploader user group? This has several benefits. We don’t grant the other flags to users who only want them for easy uploading. This is a missed change. If this change is implemented users would not only be able to upload files from several whitelisted domains but also user the upload wizard to upload Flickr files without having to download them first or use tools like Flickr2commons.

If we can trust users to not make a mess while uploading .mp3-files we can certainly trust them to upload files directly from an url.

Event Timeline

Natuur12 created this task.Dec 10 2017, 3:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 10 2017, 3:36 PM
Natuur12 renamed this task from Add upload_by_url to Extended uploaders to Add upload_by_url to Extended uploaders (Wikimedia Commons).Dec 10 2017, 4:10 PM

See also T90004.

Since extended uploader do not grant license reviewing right, extended uploaders should not be able to use {{FlickrVerifiedByUploadWizard}}.

Natuur12 added a comment.EditedDec 10 2017, 10:05 PM

@zhuyifei1999 : Well, Stefan2 mentioned several solutions for this issue. But even without the Flickr-option it would be usefull to not have to download .mp3-files to a local station first (only works if the domain is whitelisted of course) or for users who merely want to upload non audio files from one of the many excellent whitelisten sources quickly.

Change 397129 had a related patch set uploaded (by Jon Harald Søby; owner: Jon Harald Søby):
[operations/mediawiki-config@master] Add upload_by_url to extended uploaders on Commons

https://gerrit.wikimedia.org/r/397129

jhsoby claimed this task.Dec 11 2017, 12:24 AM

Submitted patch, but I believe this needs community consensus/discussion before it's put in place.

Steinsplitter added a subscriber: Steinsplitter.EditedDec 12 2017, 2:40 PM

Submitted patch, but I believe this needs community consensus/discussion before it's put in place.

There is consensus:

Additionally, we have https://tools.wmflabs.org/url2commons/index.html which is not restricted at all.

The right is yet added on trusted users (GWT Users, admins, license-reviwers). It still needs to be added to the new usergroup in question, which serves that purpose as well.

Edit: Seems blocked by T90004.

@Steinsplitter Good enough, thanks for finding them! Added patch to the SWAT later tonight.

Edit: Seems blocked by T90004.

I fail to see how these are related at all.

Change 397129 merged by jenkins-bot:
[operations/mediawiki-config@master] Add upload_by_url to extended uploaders on Commons

https://gerrit.wikimedia.org/r/397129

Mentioned in SAL (#wikimedia-operations) [2017-12-14T00:12:13Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: T182534 (duration: 01m 08s)

jhsoby closed this task as Resolved.Dec 14 2017, 12:15 AM
jhsoby removed a project: Patch-For-Review.